### org.jfree.layouting.input.style

# Class StyleKeyRegistry

- `java.lang.Object`
- - `org.jfree.layouting.input.style.StyleKeyRegistry`

`public class StyleKeyRegistry`
`extends java.lang.Object`

This class should not be static, or we might create a memory leak.

Author:
  Thomas Morgner

  ## Method Summary

  `StyleKey`

  `createKey(String name, boolean trans, boolean inherited, int validity)`

  `StyleKey`

  `findKeyByName(String name)`

  `int`

  `getIndexForKey(StyleKey key)`

  `int`

  `getKeyCount()`

  `StyleKey[]`

  `getKeys()`

  `StyleKey[]`

  `getKeys(StyleKey[] input)`

  `static StyleKeyRegistry`

  `getRegistry()`

  `void`

  `registerClass(Class c)`

  `void`

  `registerDefaults()`

## Method Details

### createKey

    public StyleKey createKey(String name,
                              boolean trans,
                              boolean inherited,
                              int validity)

### findKeyByName

    public StyleKey findKeyByName(String name)

### getIndexForKey

    public int getIndexForKey(StyleKey key)

### getKeyCount

    public int getKeyCount()

### getKeys

    public StyleKey[] getKeys()

### getKeys

    public StyleKey[] getKeys(StyleKey[] input)

### getRegistry

    public static StyleKeyRegistry getRegistry()

### registerClass

    public void registerClass(Class c)

### registerDefaults

    public void registerDefaults()